searchData={"items":[{"type":"module","title":"Altcha","doc":"Altcha module provides functions for creating and verifying ALTCHA challenges.","ref":"Altcha.html"},{"type":"function","title":"Altcha.algorithm_from_binary/1","doc":"Converts an algorithm name from binary format to an atom.","ref":"Altcha.html#algorithm_from_binary/1"},{"type":"function","title":"Altcha.algorithm_to_binary/1","doc":"Converts an algorithm atom to its binary representation.","ref":"Altcha.html#algorithm_to_binary/1"},{"type":"function","title":"Altcha.create_challenge/1","doc":"Creates a challenge with the specified options.","ref":"Altcha.html#create_challenge/1"},{"type":"function","title":"Altcha.extract_params/1","doc":"Extracts parameters from the payload's salt.","ref":"Altcha.html#extract_params/1"},{"type":"function","title":"Altcha.hash/2","doc":"Hashes data using the specified algorithm.","ref":"Altcha.html#hash/2"},{"type":"function","title":"Altcha.hash_hex/2","doc":"Hashes data using the specified algorithm and returns it as a hex string.","ref":"Altcha.html#hash_hex/2"},{"type":"function","title":"Altcha.hmac_hash/3","doc":"Computes HMAC for the given data using the specified algorithm and key.","ref":"Altcha.html#hmac_hash/3"},{"type":"function","title":"Altcha.hmac_hex/3","doc":"Creates an HMAC from the data using the specified algorithm and key, and returns it as a hex string.","ref":"Altcha.html#hmac_hex/3"},{"type":"function","title":"Altcha.random_bytes/1","doc":"Generates a specified number of random bytes.","ref":"Altcha.html#random_bytes/1"},{"type":"function","title":"Altcha.random_int/1","doc":"Generates a random integer between 0 and the given maximum value.","ref":"Altcha.html#random_int/1"},{"type":"function","title":"Altcha.solve_challenge/5","doc":"Solves a challenge by searching for a number that matches the given challenge.","ref":"Altcha.html#solve_challenge/5"},{"type":"function","title":"Altcha.verify_fields_hash/4","doc":"Verifies if the hash of form fields matches the provided hash.","ref":"Altcha.html#verify_fields_hash/4"},{"type":"function","title":"Altcha.verify_server_signature/2","doc":"Verifies the server signature using the payload and HMAC key.","ref":"Altcha.html#verify_server_signature/2"},{"type":"function","title":"Altcha.verify_solution/3","doc":"Verifies a solution by checking its validity and comparing it with the expected challenge.","ref":"Altcha.html#verify_solution/3"},{"type":"module","title":"Altcha.Challenge","doc":"Represents a challenge with its attributes.","ref":"Altcha.Challenge.html"},{"type":"function","title":"Altcha.Challenge.to_json/1","doc":"Converts a `Challenge` struct to JSON.","ref":"Altcha.Challenge.html#to_json/1"},{"type":"module","title":"Altcha.ChallengeOptions","doc":"Represents options for generating a challenge.","ref":"Altcha.ChallengeOptions.html"},{"type":"module","title":"Altcha.Payload","doc":"Represents the payload of a challenge.","ref":"Altcha.Payload.html"},{"type":"function","title":"Altcha.Payload.from_json/1","doc":"Converts JSON to a `Payload` struct.","ref":"Altcha.Payload.html#from_json/1"},{"type":"function","title":"Altcha.Payload.to_json/1","doc":"Converts a `Payload` struct to JSON.","ref":"Altcha.Payload.html#to_json/1"},{"type":"module","title":"Altcha.ServerSignaturePayload","doc":"Represents the payload for server signatures.","ref":"Altcha.ServerSignaturePayload.html"},{"type":"function","title":"Altcha.ServerSignaturePayload.from_json/1","doc":"Converts JSON to a `ServerSignaturePayload` struct.","ref":"Altcha.ServerSignaturePayload.html#from_json/1"},{"type":"function","title":"Altcha.ServerSignaturePayload.to_json/1","doc":"Converts a `ServerSignaturePayload` struct to JSON.","ref":"Altcha.ServerSignaturePayload.html#to_json/1"},{"type":"module","title":"Altcha.ServerSignatureVerificationData","doc":"Represents data for verifying server signatures, including various data points.","ref":"Altcha.ServerSignatureVerificationData.html"},{"type":"function","title":"Altcha.ServerSignatureVerificationData.from_json/1","doc":"Converts JSON to a `ServerSignatureVerificationData` struct.","ref":"Altcha.ServerSignatureVerificationData.html#from_json/1"},{"type":"function","title":"Altcha.ServerSignatureVerificationData.to_json/1","doc":"Converts a `ServerSignatureVerificationData` struct to JSON.","ref":"Altcha.ServerSignatureVerificationData.html#to_json/1"},{"type":"module","title":"Altcha.Solution","doc":"Represents the solution to a challenge.","ref":"Altcha.Solution.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}